## Class Ball

    java.lang.Object
      Kreis
          Ball

    public class Ball

extends Kreis

Constructor Summary
`Ball(double x, double y, double rad, double richtung, double geschwindigkeit)` Konstruktur mit Mittelpunkt, Radius, Richtungswinkel und Geschwindigkeit
`Ball(double x, double y, double rad, double richtung, double geschwindigkeit, Bildschirm b)` Konstruktur mit Mittelpunkt, Radius, Richtungswinkel und Geschwindigkeit

Method Summary
`void` | `bewege()` Verschiebt den Ball um 1 Einheit in die aktuelle Richtung.
`double` | `getDir()` Liefert den Richtungswinkel in Grad
`void` | `SetzeGeschwindigkeit(double geschwindigkeit)` Setzt die Geschwindigkeit
`void` | `SetzeRichtung(double richtung)` Setzt den Richtungswinkel

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ball

    public Ball(double x,
                double y,
                double rad,
                double richtung,
                double geschwindigkeit)

  Konstruktur mit Mittelpunkt, Radius, Richtungswinkel und Geschwindigkeit

  Parameters:
    `x` - x-Koordinate des Mittelpunktes
    `y` - y-Koordinate des Mittelpunktes
    `rad` - Radius des Balles
    `richtung` - Richtungswinkel in Grad
    `geschwindigkeit` - Faktor für Tempo

### Ball

    public Ball(double x,
                double y,
                double rad,
                double richtung,
                double geschwindigkeit,
                Bildschirm b)

  Konstruktur mit Mittelpunkt, Radius, Richtungswinkel und Geschwindigkeit

  Parameters:
    `x` - x-Koordinate des Mittelpunktes
    `y` - y-Koordinate des Mittelpunktes
    `rad` - Radius des Balles
    `richtung` - Richtungswinkel in Grad
    `geschwindigkeit` - Faktor für Tempo
    `b` - Bildschirm (aus StiftUndCo)

Method Detail

### bewege

    public void bewege()

  Verschiebt den Ball um 1 Einheit in die aktuelle Richtung. Falls der Ball auf den Rand trifft, wird der Richtungswinkel geändert.

### getDir

    public double getDir()

  Liefert den Richtungswinkel in Grad

  Returns:
    Richtungswinkel in Grad

### SetzeGeschwindigkeit

    public void SetzeGeschwindigkeit(double geschwindigkeit)

  Setzt die Geschwindigkeit

  Parameters:
    `geschwindigkeit` -

### SetzeRichtung

    public void SetzeRichtung(double richtung)

  Setzt den Richtungswinkel

  Parameters:
    `richtung` - Richtungswinkel in Grad